require "import"
import "android.media.MediaPlayer"
-- Tabla con los diferentes nombres a utilizar
local nombres = {
  "sergio, ",
  "campeón, ",
  "señor stark, ",
  "patrón, ",
  "su alteza, "
}

-- Función para obtener la ruta de los archivos de sonido
function get_file_path(filename)
  local path1 = "/storage/emulated/0/解说/Plugins/" .. filename
  local path2 = "/storage/emulated/0/解说/Complementos/" .. filename
  if file_exists(path1) then
    return path1
  elseif file_exists(path2) then
    return path2
  else
    return nil
  end
end

-- Función para verificar si un archivo existe
function file_exists(path)
  local file = io.open(path, "r")
  if file then
    io.close(file)
    return true
  else
    return false
  end
end

-- Lista de archivos de sonido


files = { 
"fecha y hora versión vocalizer/1.m4a"
}
function play_music(index, volume)
local file_path = get_file_path(files[index])
if file_path == nil then
print("Archivo no encontrado: " .. files[index])
return
end
local mp = MediaPlayer()
mp.setDataSource(file_path)

  mp.setVolume(volume, volume)
  mp.prepare()
  mp.start()
  mp.setOnCompletionListener(MediaPlayer.OnCompletionListener {
      onCompletion = function()
          mp.release()
      end
  })
end


play_music(1, 0.2)






-- Función para obtener un elemento aleatorio de una tabla
local function obtenerAleatorio(tabla)
  return tabla[math.random(#tabla)]
end

-- Función para obtener el nivel de batería
local function obtenerNivelBateria()
  local nivel = this.getBatteryLevel()
  if nivel == "unknown" then
    return "desconocido"
  else
    return nivel .. " por ciento"
  end
end

-- Función para obtener la fecha y hora actual en español
local function obtenerFechaHora()
  local diasSemana = {"domingo", "lunes", "martes", "miércoles", "jueves", "viernes", "sábado"}
  local meses = {"enero", "febrero", "marzo", "abril", "mayo", "junio", "julio", "agosto", "septiembre", "octubre", "noviembre", "diciembre"}
  
  local fecha = os.date("*t")
  local diaSemana = diasSemana[fecha.wday]
  local dia = fecha.day
  local mes = meses[fecha.month]
  local anio = fecha.year
  local hora = fecha.hour
  local saludo = ""
  
  if hora >= 6 and hora < 12 then
    saludo = "¡Buenos días!"
  elseif hora >= 12 and hora < 18 then
    saludo = "¡Buenas tardes!"
  else
    saludo = "¡Buenas noches!"
  end
  
  local hora_12h = hora % 12
  if hora_12h == 0 then
    hora_12h = 12
  end
  
  local minuto = fecha.min
  if minuto < 10 then
    minuto = "0" .. minuto
  end
  
  local am_pm = ""
  if hora < 12 then
    am_pm = "a.m."
  else
    am_pm = "p.m."
  end
  
  local fechaHora = diaSemana .. " " .. dia .. " de " .. mes .. " de " .. anio .. ", " .. hora_12h .. ":" .. minuto .. " " .. am_pm
  
  -- Obtener el nivel de batería
  local nivel_bateria = obtenerNivelBateria()
  
service.asyncSpeak(saludo .. " " .. obtenerAleatorio(nombres) .. ", hoy es " .. fechaHora .. ". Nivel de carga, " .. nivel_bateria)end

-- Ejecutamos la función principal para saludar
obtenerFechaHora()
return true